Subject: "Application failed to initialize (0xc0000022)"
From: "Gerald S. Williams" <[email-masked]>
To: <[email-masked]>
Cc: "Jason Tishler" <[email-masked]>
Date: Fri, 11 Oct 2002 11:13:43 -0400

I'm running Win2K and very recent full Cygwin install.

I ran into this when I tried to install KDE, but it's
not a KDE issue (I tried that list anyway to see if
this had been seen). It involves XFree86, although I
suspect it's not really an X issue, either.

When I replace the X library with one that uses SHM
(and thus CygIPC), programs referencing that library
fail to start. I get the following Windows dialog:

 <appname>.exe - Application Error
 ---------------------------------
 The application failed to initialize properly (0xc0000022).
 Click on OK to terminate the application
 [[ OK ]]

At first, <appname> would be XWin whenever I tried to
start X. However, vim would report the same failure
if I tried to use my X-enabled version. I got this
with two different versions of the modified X libs
(kde-x-1.3.tar.bz2 and the 1.2 version also).

Interestingly, after recompiling X myself with SHM, I
could start vim. I still can't start X, although the
<appname> reported is xinit, not XWin. If I go back
to the original Cygwin libraries, X works. It's also
worth noting that ipctest works, so ipc-daemon is
able to do its thing.

Is it possible that this is an aspect of the dreaded
"rebase" issue?

If so, I'd appreciate a pointer at the recommended
procedure for rebasing everything that needs to be
rebased (I've done it before, but rebase's parameters
seem to have changed).

Thanks,
 -Jerry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/